Bug 203380 - mkinitd - selinux and awk warnings
mkinitd - selinux and awk warnings
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-08-21 12:21 EDT by Alan Cox
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-03 12:42:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2006-08-21 12:21:50 EDT
mkinitrd produces SELinux and other error messages

The case I see this is

login as root
cd to an NFS directory
make modules_install
cp arch/x86_64/boot/bzImage /boot/vmlinuz.ac

[so far so good]

mkinitrd /boot/vmlinuz.ac 2.6.18-rc4-mm2 

[Several {search} SELinux errors]
Two awk warnings about treating \] as ]

End result appears to be fine (but I'm not in enforcing mode]
Comment 1 Peter Jones 2006-09-14 11:19:16 EDT
I've fixed the awk error in CVS; as for the SELinux errors, that probably needs
to  be filed against policy; I'll dupe this for it.
Comment 2 Peter Jones 2006-09-27 13:52:53 EDT
OK, setting this to modified for the awk errors, since there's now a separate
bug for the selinux ones.
Comment 3 Alan Cox 2006-10-03 12:42:06 EDT
Awk errors are fixed, still have to turn selinux off to use it though

Note You need to log in before you can comment on or make changes to this bug.